Package org.apache.lucene.benchmark.quality.utils

# Class DocNameExtractor

java.lang.Object
org.apache.lucene.benchmark.quality.utils.DocNameExtractor

public class DocNameExtractor extends Object
Utility: extract doc names from an index

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocNameExtractor(String docNameField)`
  Constructor for DocNameExtractor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `docName(StoredFields storedFields, int docid)`
  Extract the name of the input doc from the index.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocNameExtractor

    public DocNameExtractor(String docNameField)
    Constructor for DocNameExtractor.
    Parameters:
      `docNameField` - name of the stored field containing the doc name.

- ## Method Details

  - ### docName

    public String docName(StoredFields storedFields, int docid) throws IOException
    Extract the name of the input doc from the index.
    Parameters:
      `storedFields` - access to the index.
      `docid` - ID of doc whose name is needed.
    Returns:
      the name of the input doc as extracted from the index.
    Throws:
      `IOException` - if cannot extract the doc name from the index.